Skip to main content
POST

Authorizations

Authorization
string
header
required

Basic authentication is used to authenticate towards Enfuce API. It is described in more detail in RFC 7617.

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json
from
enum<string>
required

The source type for the instalment.

Available options:
TRANSACTION
Example:

"TRANSACTION"

transactionId
string<biginteger>
required

Transaction that will be converted into instalments

Example:

"8767653"

planOptions
BUY_NOW_PAY_LATER · object
required

The paymentPlan.type field should be BUY_NOW_PAY_LATER.

description
string

Optional text describing the instalment request

Maximum string length: 255
Example:

"Instalment for product #4567"

Response

Successful creation of an instalment

description
string

When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.

Example:

"061-Usage Limit '24H_RETAIL' Amount Exceeded"

id
string

Will contain the ID of the resource that has been created or updated